Changes from version 0.28.2 to 0.28.3
-------------------------------------

Release Notes:

* https://github.com/Exiv2/exiv2/issues/3008
* https://github.com/Exiv2/exiv2/milestone/14?closed=1

This release also fixes a low-severity security issue in asfvideo.cpp:

* [CVE-2024-39695](https://github.com/Exiv2/exiv2/security/advisories/GHSA-38rv-8x93-pvrh): out-of-bounds read in AsfVideo::streamProperties.

This vulnerability is in a new feature (ASF video) that was added in version 0.28.0, so earlier versions of Exiv2 are not affected.

Changes from version 0.28.1 to 0.28.2
-------------------------------------

Release Notes:

* https://github.com/Exiv2/exiv2/issues/2914
* https://github.com/Exiv2/exiv2/milestone/13?closed=1

This release also fixes two low-severity security issues in quicktimevideo.cpp:

* [CVE-2024-24826](https://github.com/Exiv2/exiv2/security/advisories/GHSA-g9xm-7538-mq8w): out-of-bounds read in QuickTimeVideo::NikonTagsDecoder.
* [CVE-2024-25112](https://github.com/Exiv2/exiv2/security/advisories/GHSA-crmj-qh74-2r36): denial of service due to unbounded recursion in QuickTimeVideo::multipleEntriesDecoder.

These vulnerabilities are in a new feature (quicktime video) that was added in version 0.28.0, so earlier versions of Exiv2 are not affected.

Changes from version 0.28.0 to 0.28.1
-------------------------------------

Release Notes:
https://github.com/Exiv2/exiv2/issues/2813

This release also fixes [CVE-2023-44398](https://github.com/Exiv2/exiv2/security/advisories/GHSA-hrw9-ggg3-3r4r), an out-of-bounds write in `BmffImage::brotliUncompress`. The vulnerability is in new code that was added in version 0.28.0, so earlier versions of Exiv2 are not affected.

Changes from version 0.27.6 to 0.28.0
-------------------------------------

Release Notes:
https://github.com/Exiv2/exiv2/issues/2406#issuecomment-1529139799

Changes from version 0.27.5 to 0.27.6
-------------------------------------

Closed:
https://github.com/Exiv2/exiv2/milestone/10?closed=1

Open:
https://github.com/Exiv2/exiv2/milestone/10?open=1

Release Notes:
https://github.com/Exiv2/exiv2/issues/2406#issuecomment-1383302378

Changes from version 0.27.4 to 0.27.5
-------------------------------------

Closed:
https://github.com/Exiv2/exiv2/milestone/9?closed=1

Open:
https://github.com/Exiv2/exiv2/milestone/9?open=1

Release Notes:
https://github.com/Exiv2/exiv2/issues/1018#issuecomment-948573657

+++++++++++++++++++++++++++++++++++++
------------- History ---------------
+++++++++++++++++++++++++++++++++++++

Changes from version 0.27.3 to 0.27.4
-------------------------------------

Closed:
https://github.com/Exiv2/exiv2/milestone/6?closed=1

Open:
https://github.com/Exiv2/exiv2/milestone/6?open=1

Release Notes:
https://github.com/Exiv2/exiv2/issues/1018#issuecomment-757979745

Bugs/Fixes
----------

|  Group        | PR     |  Topic                                     | Issue  |
|:--------------|:-------|:-------------------------------------------|:-------|
| Bugs &        | #1475  | **bmff** Base Media File Format            | #1229  |
| Fixes         | #1490  |                                            | #1489  | 
|               | #1517  | JPX/bmff support                           | #1503  |
|               | #1518  | Changes Exiv2::enableBMFF() API            | #1508  |
|               | #1519  | samples/metacopy.cpp optstring             | #1504  |
|               | #1512  | Avif file -ps image_size fix               | #1512  |
|               | #1493  | v0.27.4 application tests                  |        | 
|               | #1486  | Empty Exif Ascii handling                  | #1484  |
|               | #1482  | Issues with LangAlt command-line parsing   | #1481  |
|               | #1480  | DNG 1.6 triple-illuminant calibration tags |        |
|               | #1469  | Sony 2010e tag support                     | #1464  |
|               | #1472  |                                            | #1471  |
|               | #1461  | cppcheck detected performance issues       | #1459  |
|               | #1444  | Fix comment typo is xmpprint.cpp           |        |
|               | #1442  | Test Nikon LensData v8 handler             | #1437  |
|               |        |                                            | #1433  |
|               | #1432  | Binary output handling                     | #1431  |
|               | #1436  | DNG 1.6 Support                            |        |
|               | #1427  | prettyPrint Planar Config                  |        |
|               | #1425  | fix some Nikon MarkerNote short/long tags  |        |
|               | #1412  | DNG 1.5 Support                            |        |
|               | #1411  | Fix Fuji tag type                          | #1344  |
|               | #1410  | bump revision 0.27.4.9                     |        |
|               | #1409  | Support hidden embedded TIF in RAF         | #1402  |
|               | #1407  | Support Fuji CropMode                      |        |
|               | #1399  | Sony Lens aberration correction parameters |        |
|               | #1392  | DNG 1.3                                    | #1393  |
|               | #1391  | DNG Changes                                |        |
|               | #1389  | Exif 2.32 Support                          | #929   |
|               | #1384  | Disable exiv2 option --binary              |        |
|               | #1386  | Adding more easy accessors                 | #1385  |
|               |        |                                            | #1054  |
|               | #1360  | base64 decode fixes                        | #1358  |
|               | #1342  | PSD fixes                                  | #1261  | 
|               | #1331  | Remove BigTiff Support                     | #1329  |
|               | #1330  | formatString fixes                         | #1328  |
|               | #1314  | ASAN issues with RemoteIo                  | #1307  |
|               | #1313  | crwtest fixes                              | #1297  |
| Security      | #1483  | Define Security Policy                     | #1122  |
|               | #1523  | jp2image exiv2 asan issue                  | #1522  |
| Lens          | #1375  | Olympus M.Zuiko Digital ED 17mm F1.2 Pro   |        |
|               | #1373  | Sigma 18-35mm f/1.8 DC HSM                 |        |
| Build         | #1496  | Exiv2 v0.27.4 RC1                          |        |
|               | #1452  | Building on windows/msys2                  | #1449  |
|               | #1439  | Fix PACKAGE_URL and PROJECT_DESCRIPTION    |        |
|               | #1434  | CI build MinGW/msys2 and Cygwin            |        |
|               | #1367  | CI changes for Linux                       |        |
|               | #1356  | MinGW/msys2 toolchain changes              | #1353  |
|               | #1339  | Cygwin Stack Protection                    |        |
|               | #1336<br>#1349<br>#1340  | Winsock2 include changes | #1335  |
|               | #1309<br>#1311 | Remove EXV_HAVE_STDINT_H check     |        |
|               | #1290  | Solaris Stack Protection                   |        |
|               | #1277  | Remove cmake -DEXIV2_BUILD_PO option       | #1276  |
|               | #1275  | GNUInstallDirs changes                     |        |
|               | #1271  | Correctly setting -fstack-protector-strong | #1252  |
|               | #1245  | More compiler flag settings                | #1243  |
|               | #1268  | Fix GPSProcessingMethod handling           | #1266  |
|               | #1260  | Writing PSD Files                          |        |
|               | #1253  | Disable libiconv/Visual Studio/CMake       |        |
| Test          | #1477  | Fix exiv2-test.sh output if test/tmp empty | #1477  |
|               | #1372  | Support env EXIV2 strings in python tests  |        |
|               | #1371  | Test NLS Support                           | #1278  |
|               | #1333  | Test stdin                                 |        |
|               | #1257  | Rewrite bash test script in Python         | #1215  |
|               | #1289  | Remove env EXIV2_EXT                       |        |
|               | #1372  | Support env EXIV2 strings in python tests  |        |
|               | #1495  | Remove test dependency on make and bash    | #1274  |
|               | Various| Rewrite bash scripts in python3            | #1215  |
| Localisation  | #1435  | ES Translation                             |        |
| Documentation | #1440  | Fix typo in cmd64.bat in Documentation     |        |
|               | #1414  | Web-site issues                            |        |
|               | #1403  | Visual Studio 2019 buildnotes              | #1394  |
|               | #1400  | IPTC tag corrections on web-site           | #1393  |
|               | #1387  | Fix man page typos concerning CanonFi      |        |
| Withdrawn     |        | Discussion FLIR Camera  Support            | #1479  |
| No action     |        | Sigma 60-600mm f/4.5-6.3 DG OS HMS | Sport | #1478  |
|               | #1527  | Test Suite to ignore errors                | #1502  |
|               |        | Include path discussion                    | #1516  |
|               | #1474  | Withdrawn PRs concerning bmff              | #1229  |
|               | #1458  |                                            |        |
|               |        | Nikon d780 + Tamron 85mm 1.8 VC            | #1468  |
|               |        | Exif.Photo.DateTimeOriginal discussion     | #1467  |
|               |        | Question about sidecar files               | #1465  |
|               |        | asfvideo.cpp null pointer dereference      | #1463  |
|               |        | Multi-Page TIFF Support                    | #1460  |
|               |        | Lumix G 20mm F1.7 II Asph.                 | #1441  |
|               |        | Canon Lenses                               | #1429  |
|               |        | CMake issues with Xcode 12.2 -G Xcode      | #1408  |
|               | #1286  | Exiv2::XmpProperties::propertyList()       | #1206  |
|               | #1226  | XMP false report                           | #1223  | 
|               |        | API Compatibility Test                     | #890   |
| Team          |        | Future of Exiv2                            | #1466  |
| Discussion    |        | Project Status                             | #1462  |
|               |        | Open Invention Network                     | #1447  |

Robin Mills
robin@clanmills.com
2021-04-07

Changes from version 0.27.2 to 0.27.3
-------------------------------------

Closed:
https://github.com/Exiv2/exiv2/milestone/5?closed=1

Open:
https://github.com/Exiv2/exiv2/milestone/5?open=1

Release Notes:
https://github.com/Exiv2/exiv2/issues/1018#issuecomment-604539346

Bugs/Fixes

#1237 | Exiv2 v0.27.3 documentation update
#1224 | Remove localtime.c from code-base
#1222 | Fix http.cpp to compile with C++11
#1221 | Changes to enable crw-test.sh to function on Windows
#1213 | Cleanup
#1209 | fix_1208_NikonLens_0.27	#1208
#1197 | Add c++11 support 0.27
#1193 | geotag changes	
#1190 | Bump Revision Number to 0.27.3.1	
#1189 | Manpage Makeover	
#1188 | Update ChangeLog for v0.27.3 RC1	
#1187 | Taglist command parsing correction	
#1185 | Update release notes v0.27.3 RC1
#1183 | fix_1180_date_separator
#1178 | Reduce system calls in FileIo::eof()
#1157 | fix 1004 Canon Lens Fixes
#1145 | fix 1033 Digikam xmp namespace
#1144 | fix 1045 Add new error kerTiffParsingError
#1143 | fix 1047 New Fujifilm Tags
#1142 | fix 1049 Nikon Sigma 180 Macro Lens Name
#1140 | fix_1069_0.27 Add lens Tamron SP 35mm f/1.4 Di USD (Nikon)
#1138 | fix_1087_0.27 Catalan translation updates
#1129 | Fix 1105 0.27 Add Nikon F version of Tamron 17-35 mm F/2.8-4 Di OSD
#1127 | fix_Sony2010e_0.27 Thanks to @sridharb1
#1124 | Bugfix 984 xmp meta delete namespace
#1119 | fix_1076_0.272 sigmas lenses on Canon body
#1118 | fix_1084_0.27 Irix lens names in Pentax
#1107 | Fix 1046 pt gps processing method
#1105 | Add Nikon F version of Tamron 17-35 mm F/2.8-4 Di OSD
#1066 | Add support for ISOBMFF Files (AVIF, HEIF, CR3)
#1010 | fix1001_rename_AFPrimaryPoint
#1009 | Fix1008 sony2010e
#1007 | fix_910_remote_io_block+1
#1005 | fix_1004_lens_exiftool_compatibility
 #993 | Fix 992 Sigma APO MACRO 180mm F3.5 EX DG (Nikon Mount)
 #991 | Fix 990 Remove AF designator from Tamron 70-200 G1
 #990 | Remove AF designator from Tamron 70-200 G1
 #989 | Fix 987 (taglist.cpp changes)
 #988 | New PR to replace fix981_canonAutoFocus2 which will be closed.
 #985 | fix981_canonAutoFocus2
 #982 | Fix 981 Canon Auto Focus
 #978 | Reloaded: HEIF Support
 #977 | Add XMP Initialisation/Cleanup code to every main()
 #927 | Translation Exiv2 in Dutch (nl)  Translation

Security
#1210 | Insufficient verification (cycle) in Image::printIFDStructure()
#1141 | fix 1091 Fix unbounded recursion in bigtiffimage.cpp
#1116 | fix_1099_0.27 exiv2 aborts with registerNs
#1115 | fix_1097_0.27 Segfault of exiv2 with pr flag
#1110 | Fix #1011 fix_1011_jp2_readmetadata_loop
#1048 | Fix a memory leak in CiffHeader::read()
#1013 | Fix #1011 fix_1011_jp2_readmetadata_loop
#1131 | fix_1092_0.27 Fix uri parsing bug
#1125 | fix_984_0.27 NULL-pointer read in XMPMeta.cpp

Build Infrastructure
#1218 | CMake issues concerning install and uninstall 
#1213 | Setting LD_LIBRARY_PATH during tests
#1211 | http.cpp fails to compile on mingw/cygwin
#1201 | Cannon link prebuilt MinGW binaries in Qt project
#1200 | Numerous improvements to Appveyor and GitLib CI builds
#1184 | fix_1121_CODEOWNERS_0.27
#1181 | GCC 9.3.0 broken on MinGW/msys2 and CYGWIN
#1175 | fix_1102_msysGCC93_0.27
#1159 | fix 1158 pathtest.exe
#1137 | fix_1059_0.27 Add missing library link on Windows
#1135 | Update conan version in appveyor & use python-x64 version
#1130 | fix_packaging_0.27
#1123 | Bump Version 0.27.3.9
#1121 | Add CODEOWNERS

Test Infrastructure
#1207 | Extensive changes and clarifications in README.md
#1174 | add http test to iotest.sh
#1172 | Fix 1164 unit tests 0.27
#1173 | enhanced_test6_0.27
#1171 | Enhanced test5 0.27
#1170 | Enhanced test4 0.27
#1169 | enhanced_test3_0.27
#1168 | Enhanced test2 v0.27
#1167 | Enhanced test v0.27
#1150 | fix 1146 Python tests to tolerate DOS line endings
#1006 | fix_958 /usr/bin/env bash in test scripts

UNIX
#1162 | Fix 902 UNIX Support

Documentation
#1232 | Fix 1230 Added 2.18 Static and Shared Libraries to README.md
#1153 | fix_922 Cross compiling documentation
#1149 | README-CONAN Update for v0.27.3
#1139 | fix_1077_0.27 Improve documentation in CONTRIBUTING.md
#1133 | Fix_1121_documentation_0.27
#1117 | fix_macOS_0.27

contrib/vs2019
#1136 | Sridharb1 contrib msvc4 0.27
#1134 | sridharb1_contrib_msvc3_0.27
#1128 | Sridharb1 contrib msvc2 0.27
#1120 | sridharb1_contrib_msvc_0.27

Changes from version 0.27.1 to 0.27.2
-------------------------------------

Closed: https://github.com/Exiv2/exiv2/milestone/4?closed=1 (64)

#966 MacOS-X Build issue if Framework/Mono installed (by Visual Studio for Mac)
#962 Fix integer overflow in WebPImage::getHeaderOffset()
#959 Fix linking BasicError typeinfo on FreeBSD
#949 Add Dutch Localisation
#944 Add bounds check to MemIo::seek()
#938 Replace DEBUG with EXIV2_DEBUG_MESSAGES
#928 Corrections to README.md 2.8.Localisation
#921 Adding README-SAMPLES.md and removing exiv2samples.1
#919 Selecting XMP SDK version (question)
#903 $ exiv2 -vVg debug and $ exiv2 -vVg dll are not working correctly.
#899 ICCProfile FalseWarning
#895 'exiv2 mv -r' not accepting format
#880 Nikon D90 - wrong FileNumber and DirectoryNumber
#870 Remove call to atol, which might read off the end of the buffer.
#868 Prevent out-of-bounds read in IptcParser::decode()
#858 Check bounds of jpg_img_off and jpg_img_len
#856 Add bounds check of resourceSize.
#854 Add bounds check on allocation size.
#852 Check bounds of month and day
#851 Denial of service in XMPUtils AdjustTimeOverflow()
#848 Check bounds of allocation size
#846 Add bounds check on allocation size
#841 Issue 841: replace assert with enforce.
#833 NetBSD/FreeBSD Support
#831 Restore 0.25 behaviour of $ exiv2 -g image ...
#829 Update Catalan translation
#828 Segmentation fault in pngimage.cpp:329.
#823 Support build/test of Exiv2 on NetBSD
#816 Avoid null pointer exception due to NULL return value from strchr
#808 Changes to README.md
#798 Install CMake/consume files in DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/exiv2/
#797 Avoid negative integer overflow when filesize < io_->tell()
#795 Avoid negative integer overflow when iccOffset > chunkLength
#794 Avoid negative integer overflow when chunkLength == 0
#763 False Negatives in Unit Tests
#754 Regression in detected lens
#743 Sigma 24-70mm F2,8 DG OS HSM Art not detected
#662 How does the rename (mv) work in case of name clash? question
#646 Exiv2 does not find certain AF tags for the Nikon D850
#589 Fix in sidecar files #589
#582 Add support for FocusPosition (Tag9402) in Sony RAW files

Changes from version 0.27 to 0.27.1
-----------------------------------

https://github.com/Exiv2/exiv2/milestone/3?closed=1 (40)

#781 MinGW exiv2-0.27-Source fails with stdlib.h: No such file or directory.
#780 Support for Visual Studio 2019 using Conan and CMake.
#744 JP2000 -pS (print Structure) throws Invalid slice bounds specified on all jp2 files.
#745 Review/fix documentation concerning CMake support files
#761 Corrections in README.md concerning "Consuming Exiv2 with CMake"
#745 Review/fix documentation concerning CMake support files.
#740 Tests for jp2image.
#726 Doxygen improvements.
#706 Fix access to null pointer in TiffParser.
#700 exiv2-xmp linked privately.
#684 gettext include issue on macOS.
#661 Development of v0.27 dots moved to branch 0.27-maintenance.
#660 Install new file exiv2lib_compiler_detection.h
#644 Xcode fails with Exiv2::BasicError<char>
#644 Old issue tracker (Redmine) is being spammed.
#637 Reliable detection of strerror_r variants.
#634 Fixes for installing exiv2.
#629 xmpsdk: Build with -DBanAllEntityUsage=1.
#628 cmake: Install header files without globbing.
#625 cmake: Use correct installation dirs for doc and cmake configs.
#620 0.27 tarball contains cruft.
#617 Deprecate relics.
#608 Update Nikon lens database.
#603 MSVC cmake+conan with -DEXIV2_ENABLE_LIBSSH=On is broken
#602 MSVC compiler warning with -DEXIV2_ENABLE_VIDEO=On.
#597 Patch for broken ICC profile in PNG files
#590 Several bugs in 0.27-rc3

Changes from version 0.26 to 0.27
---------------------------------

GitHub: (142) https://github.com/Exiv2/exiv2/milestone/1?closed=1
Redmine: (88) http://dev.exiv2.org/projects/exiv2/issues

Build: (11)
	0001362	Fix Clang build
	0001358	Unsuccessful build (Win7, MSVC2015, amd64_x86)
	0001356	Small patch to configure.py
	0001329	Error during cmake with gcc version parsing
	0001310	Provide support for msys/2.0
	0001299	exiv2-0.26-trunk.tar.gz changed on download server
	0001270	Using libexiv2.a/.lib  in multithreaded app segfaults.
	0001237	Report CMake/MinGW issues to Kitware
	0001188	Provide build support for C++11
	0001174	Visual Studio Support Enhancements
	0001121	Visual Studio support for v0.27

Basicio: (1)
	0001374	excessively often calls stat()

Camera: (1)
	0001352	Support camera Canon M100

Coverity: (11)
	0001265	[ Coverity : /src/basicio.cpp ] Unchecked return value from library , Time of check time of use , Incorrect deallocator used , Dereference before null check , String not null terminated
	0001264	[ Coverity : /src/actions.cpp ] Unchecked return value from library , Logically dead code , Not restoring ostream format
	0001263	[ Coverity : 1396730 Uninitialized scalar field ] /include/exiv2/xmp.hpp
	0001262	[ Coverity : XMPSDK Errors ] Unused value , Explicit null dereferenced
	0001261	[ Coverity : 1296083 Resource leak ] /src/exiv2.cpp
	0001260	[ Coverity : 1296084 Resource leak ] /src/http.cpp
	0001259	[ Coverity : 1396717 Out-of-bounds read ] /src/easyaccess.cpp
	0001258	[ Coverity 1396718 Out-of-bounds access ] /src/webpimage.cpp
	0001257	[ Coverity 1396719 Resource leak ] /src/tiffcomposite.cpp
	0001256	[ Coverity 1396721 : /src/basicio.cpp ]  String not null terminated
	0000883	Use Coverity SCAN on exiv2 code-base

Duplicate: (1)
	0001307	exiv2: tiffvisitor.cpp:1299: virtual void Exiv2::Internal::TiffReader::visitDirectory(Exiv2::Internal::TiffDirectory*): Assertion `tc.get()' failed.

Exif: (6)
	0001320	It is a heap-buffer-overflow in Exiv2::Jp2Image::readMetadata (jp2image.cpp:277)
	0001319	It is a heap-buffer-overflow in Exiv2::us2Data (types.cpp:346)
	0001318	Invalid memory address dereference in Exiv2::StringValueBase::read ( in value.cpp:302)
	0001317	It is a heap-buffer-overflow in Exiv2::s2Data (types.cpp:383)
	0001316	It is a heap-buffer-overflow in Exiv2::l2Data (types.cpp:398)
	0001315	Invalid memory address dereference in Exiv2::DataValue::read (value.cpp:193)

Insufficient information: (1)
	0001347	Segfault in Digikam when saving/loading certain TIFF images

Image format: (5)
	0001353	Segmentation fault in the software exiv2 when the function Exiv2::tEXtToDataBuf() is finished
	0001346	Assertion failure in Exiv2::Internal::CiffComponent::doRead() in libexiv2
	0001345	Assertion Failure (SIGABRT) in Exiv2:RafImage::readMetadata() in Libexiv2
	0001338	Exiv2 aborted (crashed) with "Error in `exiv2': free(): invalid next size (fast)"
	0001334	Version 0.26 is returns unwanted data when the key value is received from RW2 files (Panasonic DMC-GF6 camera)

Lens: (20)
	0001373	Tamron SP 24-70mm F/2.8 Di VC USD not recognized properly
	0001372	The lens "Tamron AF 18-200mm F3.5-6.3 XR Di II"  is wrongly identified.
	0001370	Add entry for new(ish) lens - Tamron 10-24mm F/3.5-4.5 Di II VC HLD (B023)
	0001366	Feature Request Sigma 85mm f/1.4 DG Art Series
	0001365	Feature Request fr Sigma 135mm f/1.8 DG Art Series
	0001361	Wrongly identified Canon 2x extender as 1.4x extender with Tamron lens
	0001355	New lens Tamron 100-400mm F/4.5-6.3 Di VC USD
	0001351	Add lens: Sigma 120-300mm f/2.8 G VR
	0001348	patch: add Tamron SP AF 150-600mm F/5-6.3 VC USD G2 (A022) for Nikon
	0001339	Panasonic DMC-TZ70 lens not detected
	0001336	Support for AF-P DX NIKKOR 10-20mm f/4.5-5.6G VR
	0001335	Missing Nikon lense
	0001333	New Lens: Tamron SP 24-70mm F/2.8 Di VC USD G2 (A032)
	0001332	Recognise Tamron 18-200mm F/3.5-6.3 DiII VC B018 on Canon bodies
	0001328	Sigma 18-300mm is wrongly reported as a Canon 75-300mm
	0001327	Two Sigma 24-70mm f/2.8 IF EX DG HSM lens definitions ??
	0001326	Tamron 100-300mm f/5-6.3 MACRO 1:4
	0001323	Add lens "Sigma 18-300mm f/3.5-6.3 DC Macro OS HS" for Canon ID 197
	0001306	the lens TAMRON SP 15-30mm F/2.8 Di VC USD A012 is not properly recognised
	0001304	Lens missing Tamron SP 90mm f/2.8 Di Macro 1:1 VC USD F017

Metadata: (7)
	0001341	Date/Time Original not modified for NEFs
	0001340	Infinite loop bugs in Libexiv2 Exiv2::Image::printIFDStructure()
	0001325	Crash in exiv2  - Nikon1MakerNote::printBarValue (nikonnm.cpp)
	0001322	Exception in PentaxMakerNote::printShutterCount, source: pentaxmn.cpp
	0001321	Invalid memory address dereference in Exiv2::getULong(types.cpp:246)
	0001301	New lens: Sigma 18-35mm f/1.8 DC HSM Art for Canon
	0001300	New lens: Canon EF-S 35mm f/2.8 Macro IS STM

Makernote: (2)
	0001343	Irix 15mm f/2.4 on Nikon
	0001324	Pentax Makernote written twice

Miscellaneous: (2)
	0001314	it is a stack-overflow vulnerability in Exiv2::Internal::stringFormat[abi:cxx11] ( in image.cpp:975 )
	0001305	Segmentation fault on certain image

Not-a-bug: (8)
	0001369	New lens Yongnuo 50mm f/1.8 II for Canon
	0001368	Canon EF-M 15-45 broken LensType
	0001367	New Lens Sigma 100-400 mm, F5-6.3 DG for Nikon
	0001364	New lens Tamron SP 24-70mm F/2.8 Di VC USD G2
	0001350	Add lens: AF-S DX Nikkor 18-140mm
	0001349	Add lens: Sigma 50-100mm F1.8 DC HSM | A
	0001344	Unknown metadata
	0001331	exiv2 fails to delete bulk of metadata in jpeg

Tools: (1)
	0001303	#1 Use 'releases' feature on GitHub

Tiff parser: (3)
	0001360	exiv2 can't read metadata from tiff file (tiff directory length is too large)
	0001359	This does not look like a TIFF image
	0001330	Crash in Exiv2::TiffImage::readMetadata

Video: (2)
	0001068	Video Code Umbrella
	0001028	Add GSoC13 video-write code

Website: (3)
	0001308	Move directory <exiv2dir>/website to svn://dev.exiv2.org/svn/team/website
	0001302	Use sha256 Checksums on Downloads and Archive pages of the web site.
	0001288	site defaults to http://, and https:// certificate is bogus

Xmp: (3)
	0001354	Inconsistency with long XMP namespaces (e.g. 'Iptc4xmpExt')
	0001278	XMP SDK Split
	0000941	Upgrade xmpsdk source to Adobe's current version

Changes from version 0.25 to 0.26
---------------------------------

* Api: (4)
	- 0001275:	Exiv2 0.26-svn issue with ExifTags class MPF tags UPSTREAM
			(Wil Cowb)
	- 0001240:	Review API changes from v0.25 to v0.26
			(Andreas Huggel)
	- 0001157:	Out of memory error with user defined to_string template
	- 0001120:	Deprecating outdated and/or undesired API's
			(Alan Pater / Andreas Huggel)

* Basicio: (9)
	- 0001272:	Possible issue with temp files being left behind.
			(Ben Touchette)
	- 0001183:	Guidance about serialising metadata using MemIo and ExvImage Classes
	- 0001151:	Small raw images size
			(Wil Hermes)
	- 0001147:	writeMetadata overwrites files without the +w bit
			(Dan Fandrich)
	- 0001113:	Crash in Exiv2 0.25
			(Harry McKame)
	- 0001100:	Unable to extract preview for a remote image
	- 0001098:	digikam suddenly stops searching for new entries
			(Andy Burger / Alan Pater)
	- 0001077:	MemIo calls msync but FileIo does not
			(Thomas Beutlich / Andreas Huggel)
	- 0000747:	Direct FILE* access from FileIo interface
			(Adam Hooper)

* Build: (36)
	- 0001293:	MacOS-X CMake/autotools incompatibility handling of -compatibility_version
	- 0001292:	Fix targeting Windows XP (regression)
			(Dimitri Schoolwerth)
	- 0001291:	MSVC: Public header pulls ins unnecessary headers and libraries
			(T Modes)
	- 0001273:	exiv2 0.25 fails to compile correctly on musl libc due to improper check of strerror_r return type
			(A. Wilcox)
	- 0001269:	Enable using dynamic runtime libs with when disabling shared libs for Windows
			(Ben Touchette)
	- 0001268:	Building for debug in windows causes heap corruption error.
			(Ben Touchette)
	- 0001266:	CMake fails to link zlib with debug config using msvc 2015.
			(Ben Touchette)
	- 0001250:	Eliminate Visual Studio project convertor errors
	- 0001249:	Support GCC/G++ v6.2.0
	- 0001236:	Build Exiv2 on MinGW using CMake
	- 0001226:	Deprecate msvc2003 with v0.26
	- 0001213:	Using $(SolutionDir)../ as the prefix for include directories interfere with using projects in external solutions
			(Sridhar Boovaraghavan)
	- 0001210:	C++11 compile fails "error: use of deleted function bool std::regex_search"
			(Zulan Zulan)
	- 0001192:	Only link with libdl on gnu/linux
			(Matthieu Volat)
	- 0001173:	Shared library on Mac OS X has incorrect name
			(Ilya Kulakov)
	- 0001171:	localtime.c causes problems in MSVC 2015 & is not needed
	- 0001169:	Validate flag EXV_UNICODE_PATH/msvc2005 builds and passes the test suite
	- 0001159:	fff.h:33:2: error: 'BYTE' does not name a type
			(Jakub Wilk)
	- 0001150:	Unable to build for Mac OSX 10.6
			(Max Pozdeev)
	- 0001132:	New warnings from basicio.cpp from Xcode 7.1/clang-700.1.76
	- 0001127:	exiv2 --verbose --version --grep libz incorrectly reports have_libz=0
	- 0001125:	CMake: does not support overriding/selecting correct libdir (lib64)
			(Michał Górny)
	- 0001123:	libexiv2 should hide XMP-SDK symbols
	- 0001119:	libxmp missing from the install folder when building statically libexiv2
			(Emmanuel d'Angelo)
	- 0001110:	Provide Xcode Build Environment
	- 0001109:	User ability to request a build from Jenkins
	- 0001103:	exiv2.hpp:55:24: fatal error: pngimage.hpp: No such file or directory
			(Jakub Wilk)
	- 0001102:	install: cannot stat '../bin/.libs/exiv2.exe': No such file or directory
			(Jakub Wilk)
	- 0001101:	i686-w64-mingw32-g++: error: localtime.o: No such file or directory
			(Jakub Wilk)
	- 0001099:	mv: cannot stat 't-bs.gmo': No such file or directory
			(Jakub Wilk)
	- 0001041:	CMake toolchain for windows
			(Daniel Kaneider)
	- 0001031:	CMake build broken when using zlib/expat in clean way
			(Daniel Kaneider)
	- 0000851:	Please support std::wstring in exiv2 path access
			(Philipp Simmler)
	- 0000733:	Improve compile-time control over size and functionality of the library
			(Andreas Huggel)
	- 0000710:	Problems Compiling Exiv2 Under SGI IRIX
			(Brent L. Bates)
	- 0000536:	Switch to a unified build system based on cmake
			(Nikolai Saoukh)

* Coverity: (1)
	- 0000971:	Coverity scan : Not restoring ostream format (STREAM_FORMAT_STATE) CID : 982002 through 982054 (53 similar defects)
			(Mahesh Hegde)

* Duplicate: (3)
	- 0001239:	exiv2 0.25 crashes with casio ex-z50 files
			(Rainer Kliese)
	- 0001235:	./configure doesn't exists.. in last version of Exiv2.
			(Rodrigo Barbano)
	- 0001181:	Casio.jpg exports crash darktable - suse leap 42.1
			(Anonymous)

* Design: (4)
	- 0001137:	Enable piping of selective copy of metadata between images
	- 0001034:	Camera accessory overflow file
			(Tobias Jakobs)
	- 0000917:	Modify exiv2/actions.cpp return -3/253 when no metadata has been found.
			(Andreas Huggel)
	- 0000481:	Incorporate information from ExifTool
			(Stefan Bruens / Niels Kristian Bech Jensen)

* Documentation: (2)
	- 0001209:	Build instructions in README
			(Thomas Beutlich)
	- 0001136:	exiv2 -ps (default) output does not respect the -g (--grep) option

* Exif: (7)
	- 0001242:	jp2 metadata: Unrecognized UUID EXIF box
			(Herbert Kauer)
	- 0001214:	Human readable GPS values could be bad
			(Ondřej Tůma)
	- 0001089:	single 0-byte exif comment leads to SIGABRT (134)
			(Felix Bolte)
	- 0000935:	Different values for some metadata with exiftool
			(Jehan Pagès / Andreas Huggel)
	- 0000825:	Panasonic Manometer Tag
			(Christoph Anton Mitterer / Ben Touchette)
	- 0000613:	TiffImage does not honor the writeXmpFromPacket flag
			(Andreas Huggel)
	- 0000492:	Color temperature information from RAW files...
			(Bastardo -)

* Image format: (12)
	- 0001289:	Infinite loop on command exiv2 -pR on a .CR2 file
			(Ben Touchette)
	- 0001277:	Crash with Canon CR2 file
			(Ben Touchette)
	- 0001271:	Update printStructure
			(Ben Touchette)
	- 0001247:	out of bounds read access in Exiv2::Image::setIccProfile
			(Hanno Böck)
	- 0001243:	Improved JPEG 2000 Support
	- 0001234:	Class pgfimage does not work on big endian hardware.
	- 0001211:	Support Development of WebP
	- 0001199:	WebP file support
			(Ben Touchette)
	- 0001178:	Olympus E-M5 Mark II raw file not recognized
			(Terence Tay)
	- 0001143:	Unable to extract embedded preview from jpg for Sony a77
			(Michael Waldor)
	- 0000889:	CRW: crashes when passed invalid data
			(Alyssa Milburn)
	- 0000548:	recognize pdf as image format
			(mikolaj -)

* Insufficient information: (1)
	- 0001274:	crash in Exiv2 shared library when preview from image is extracted
			(Wil Cowb)

* Jpeg parser: (5)
	- 0001286:	Unable to extract ICC profile from Leica Image
	- 0001282:	crash in Exiv2 shared library when JPEG parser is processing the file
			(Wil Cowb)
	- 0001220:	Bug in exiv2 --comment on trunk
	- 0001196:	Crash in OS X when writing metadata
			(Taras Kushnir)
	- 0001156:	Extracting "User Comment" from JPEG can cause hang

* Lens: (23)
	- 0001254:	Cannot recognize Canon 16-35 f/4 IS L
			(Niccolò Belli)
	- 0001252:	Detect Sigma 120-300 EX on Canon
			(Markus Durzinsky)
	- 0001241:	Support for Samyang 14mm f/2.8 AE ED AS IF UMC on Canon EF
			(Tobias E.)
	- 0001216:	Detection of lens: AF-P DX Nikkor 18-55mm f/3.5-5.6G VR
			(Chris Benedict)
	- 0001212:	Sigma 18-35mm f/1.8 not recognized
			(Martin Ramshaw / Thomas Beutlich)
	- 0001200:	Support for Sigma 17-70mm F2.8-4 DC Macro OS HSM | C
			(Mathieu MD)
	- 0001191:	New lens request
			(Yvi San)
	- 0001170:	Sigma 35mm F1.4 DG HSM on Canon 6D
	- 0001167:	Issue with Sigma 17-70 lens mounted on a canon
	- 0001166:	Tokina 11-20mm f/2.8
	- 0001163:	Nikon Lens "Nikkor 16-80mm f/2.8-4G AF-S ED VR DX" not supported
			(dreas b)
	- 0001162:	New Lens: Tamron 28-300mm F/3.5-6.3 Di VC PZD A010
			(Tomasz Ciolek)
	- 0001161:	Feature request: 1 NIKKOR 10mm f/2.8
			(Jacob Nederend)
	- 0001160:	Feature Request - New Lens
			(Mark Mangano)
	- 0001155:	Wrong or just Sigma lens lens info with Pentax K-3
			(Hannu Vuolasaho)
	- 0001153:	Sony ILCE-6000 + Sony E 50mm F1.8 OSS .JPG files without lens model.
			(Tim Sinthofen)
	- 0001145:	Respect Sony/Minolta lenses with shared LensID such as Tamron SP AF 17-50mm F2.8 XR Di II LD
	- 0001144:	Sigma 10-20mm f/4-5.6 EX DC is detected as Tamaron
			(Simon Harhues)
	- 0001142:	Manual lens does not get recognized: Beroflex zoom 500mm
			(Simon Harhues / Niels Kristian Bech Jensen)
	- 0001141:	Manual lens does not get recognized: Pentax macro 100mm
			(Simon Harhues / Niels Kristian Bech Jensen)
	- 0001118:	Add support for ZEISS Loxia 2/50 lens
			(Eugen Neu)
	- 0000834:	detection of Pentax DA 35/2.4 lens
			(Guillaume Chauvat)
	- 0000816:	Enable detection of Sigma 55-200mm lens
			(Simon Harhues)

* Metadata: (21)
	- 0001246:	Add option -pe to exiv2(.exe) command-line arguments
	- 0001201:	Rating=4 automatically added when writing sidecar
			(Elfie Groslin / Alan Pater)
	- 0001198:	Cannot read XMP metadata from (darktable) JPEG images
			(Matthieu Volat)
	- 0001197:	Add support for Sigma 150-500 on Canon with 1.4X TC
			(Steve Fosdick / Niels Kristian Bech Jensen)
	- 0001180:	Add tags defined by Adobe in the Cinema DNG Specification
			(D Anderson)
	- 0001164:	exiv2 tool crash with bad canon raw file
			(Nicolas THOMASSON)
	- 0001158:	GPSVersionID is allowed to store more than 4 bytes.
	- 0001128:	New lens: TAMRON SP 70-200mm F/2.8 Di VC USD A009
			(David Ramonet)
	- 0001126:	Extracting Exif from PNG in Exiv2-0.25
			(Mikayel Egibyan)
	- 0001114:	negative values of type SByte displayed as positive numbers
			(Norbert Wagner)
	- 0001112:	lost timezone information in XMP dates
			(Jakub Wilk)
	- 0001108:	Recursively dump sub-files of an image
	- 0001106:	Crash in exiv2 due to assertion when setting rating on jpg with a Casio makernote
			(Luca Carlon / Andreas Huggel)
	- 0001080:	Division by zero / crash on malformed input file
			(Hanno Böck)
	- 0001074:	ICC Profile in APP2 segment.
			(Tim Zaman)
	- 0001060:	ISO speed readout & low-light cameras
			(Thomas Beutlich)
	- 0001035:	Lens model not detected ( exiv2 -> LensFun -> darktable )
			(Rodrigo De Leon)
	- 0000922:	Add options -pS and -dI to application exiv2
	- 0000855:	Segfault when accessing focalLength with 0.23
			(Tobias E.)
	- 0000756:	Access to ICC Profile (TAG: 0x8773) data in Exif as uninterpreted binary
			(Ray NA)
	- 0000676:	Patch for reading ICC color profiles
			(Andreas Huggel)

* Miscellaneous: (7)
	- 0001177:	Resolve issues in target "Review"
	- 0001168:	User support during v0.26 development
	- 0001152:	MacOS-X Throws listxattr exception frequently
	- 0001131:	Please explain the RCSID macro at the start of every .cpp file.
			(Daniel Kaneider / Andreas Huggel)
	- 0001115:	Clarification for the Exiv2 license
			(Harry McKame / Alan Pater)
	- 0001107:	DigiKam hangs during search for new items
			(Sveinn Felli)
	- 0000506:	Problem setting localedir on Windows
			(Andreas Huggel)

* Makernote: (14)
	- 0001283:	Exiv2 crash when Pentax makernote tags parser being used
			(Wil Cowb)
	- 0001253:	After setting LensModel, Lightroom no longer recognizes image
			(Martin Stolle)
	- 0001231:	Support for Canon TimeInfo makernote section
			(Tobias E.)
	- 0001225:	Nikon BarometerInfo
			(Juergen Rose)
	- 0001223:	Decoding ShutterCount for Pentax images
	- 0001217:	Missing values for Exif.CanonCs.ISOSpeed tag 0x0010
			(Niccolo Rigacci / Niels Kristian Bech Jensen)
	- 0001215:	Exif.CanonSi.SubjectDistance seems to be in centimeters
			(Niccolo Rigacci / Niels Kristian Bech Jensen)
	- 0001208:	New values for Sony File Format
			(Mihail Zenkov / Thomas Beutlich)
	- 0001202:	Exif.CanonCs.FocusContinuous = 8 = Manual
			(Sridhar Boovaraghavan)
	- 0001189:	Updating time changes Makernote
			(Stan Kaminski)
	- 0001179:	Update Fujifilm Filmmode tag
			(Pascal de Bruijn)
	- 0001140:	Canon EF-S 24mm f/2.8 STM
			(Anonymous Poster)
	- 0001122:	Lens Detection with Teleconverter - Sigma 150-500mm f/5-6.3 APO DG OS HSM again
			(Steve Fosdick)
	- 0001117:	Problems with Sigma 18-300 F3.5-6.3 DC MACRO HSM Lens
			(Terence Duell / Niels Kristian Bech Jensen)

* Not-a-bug: (18)
	- 0001290:	write exif to a libgphoto2 buffer image
			(Nacho Sánchez Moreno)
	- 0001251:	Support for Canon PowerShot G7 X Mark II
			(Wolfgang Ederer)
	- 0001248:	floating point exception / crash on malformed input
			(Hanno Böck)
	- 0001221:	Export DNG to JPEG issues - missing metadata
			(Wil Cowb)
	- 0001185:	Crash in Exiv2::Exifdatum::Exifdatum(Exiv2::Exifdatum const&)
			(Mykola Krachkovsky)
	- 0001135:	Read Makernotes
			(Schnitzel Foo / Alan Pater)
	- 0001105:	exiv2 output is inconsistent and seemingly random 1% of the time
			(Daniel Lu)
	- 0001097:	Cannot write GPS coordinates to Canon CR2 files
			(Meisam FS / Alan Pater)
	- 0001092:	Samsung EX1 (TL500): Focal length wrong in RAW (correct for JPG)
			(Marcel Müller)
	- 0001083:	Exiv2::focalLength returns multiple values for CRW files
			(Pedro Côrte-Real)
	- 0001082:	Crash when removing property of unregistered XMP namespace
			(Johannes Kapune / Alan Pater)
	- 0000828:	Method like ExifTags::taglist or IptcDataSets::dataSetList to get all XMP-tags
			(Norbert Wagner)
	- 0000740:	Error: Offset of directory Sony1, entry 0x2001 is out of bounds: Offset = 0x004a805e; truncating the entry
			(Ward V)
	- 0000715:	-funsigned-char breaks build with Sun Studio
			(Pavel Heimlich)
	- 0000714:	problem compiling with Sun Studio - visibility
			(Pavel Heimlich)
	- 0000538:	Run-time features must be separated from build-time features
			(Nikolai Saoukh)
	- 0000527:	Thumbnail extract fails when location ends in directory separator
			(Jeff Woehler)
	- 0000465:	Support standalone JPEG APP1 segments as an Image format
			(Andreas Huggel)

* Samples: (3)
	- 0001233:	Bugfixes in samples/geotag.cpp
			(Anton Keks)
	- 0001024:	Provide regular expression support for the exiv2 -g feature
	- 0000918:	non-zero exit code when extracting thumbnails
			(Romain D.)

* Testing: (6)
	- 0001230:	Bug Hunt for v0.26
	- 0001207:	digiKam maintenance tool to synchronize files metadata and database crash in Exiv2 (reentrancy issue ?)
			(Uwe Haider)
	- 0001057:	Implement target/modifier - (stdin/stdout) for exiv2 options -i (insert) and -e (extract)
	- 0001045:	Add COPYRIGHT file to test/data/
			(Alan Pater)
	- 0001042:	Exiv2 nulls file on CIFS share when modifying Exif.Photo.UserComment
			(Calvin Browne)
	- 0001023:	Fix make testx on trunk

* Tiff parser: (9)
	- 0001244:	exiv2 without EXV_HAVE_MMAP throws an exception
	- 0001224:	Crash when setting data in CRW
	- 0001184:	digikam crash when importing Casio jpeg
			(Roland Roberts)
	- 0001182:	Exiv2 is unable to update any Exif.SubImageN.xxx tag such as Exif.SubImage1.DefaultScale in a DNG
	- 0001175:	Exiv2 corrupts files larger than 2GB with Exif IFD at the end of the file
			(LaserSoft Imaging)
	- 0001146:	Crash when saving a rotated JPG image
			(Uwe Klotz)
	- 0001129:	Different behaviour of exiv2 between remote and local file.
	- 0001095:	Unexpected Exif IFD next pointers should be ignored
			(Andreas Huggel)
	- 0000900:	TIFF images lose XMP packet on write if exiv2 was compiled without XMP support
			(Andreas Huggel)

* Video: (2)
	- 0001280:	crash in Exiv2 shared library when a video file is under construction
			(Wil Cowb)
	- 0001139:	LibExiv2 0.25 crashes with digiKam version 4.14.0
			(valerie venet)

* Website: (4)
	- 0001279:	Release v0.26
	- 0001111:	The web pages could use an overhaul
			(Andreas Huggel)
	- 0001087:	Web site: Broken link for "GIMP has adopted gexiv2"
			(Thomas Beutlich / Andreas Huggel)
	- 0000679:	Provide 64bit exiv2 Windows Executable for download
			(Andreas Huggel)

* Withdrawn: (26)
	- 0000949:	exiv2 cannot read WB RGGB values in ARW files?
			(Derek Cordeiro)
	- 0000827:	Bug with Nikon D300 NEF - Exiv v.025 / 64 bits
			(Vv Pz / Alan Pater)
	- 0000801:	Add Lens "Sigma 18-200mm f/3.5-6.3 DC OS HSM" for Canon
			(Markus Schwarzenberg)
	- 0000786:	thread safety of xmp toolkit
			(Jens Mueller)
	- 0000780:	save thumbnail
			(Florian Kleber)
	- 0000779:	Crash with unknown lens tags in DNG
			(Moritz Moeller)
	- 0000768:	Reading focal length in 35mm equivalent from Canon's EXIF
			(Sergey Salnikov)
	- 0000766:	exiv2 seem to decode less metadata from Olympus images than possible
			(Christoph Anton Mitterer)
	- 0000763:	Olympus E-510 RAW file (ORF) corrupted after geotagging
			(Spica Han)
	- 0000762:	Fail to set metadata to a tif file
			(Kent Fu)
	- 0000744:	Regression: can’t get a section’s description in 0.21
			(Olivier Tilloy)
	- 0000682:	Olympus (E-1 and E-300) makernote flavour not supported: libexiv2 destroy some exif data on write
			(Johann-Nikolaus Andreae)
	- 0000681:	Copy exif data when export preview
			(FV P)
	- 0000680:	Provide the organize binary for download in the Windows package
			(Andreas Huggel)
	- 0000667:	Update Canon makernote
			(Andreas Huggel)
	- 0000648:	backup files
			(Vladimir Nadvornik)
	- 0000608:	list of supported formats
			(Vladimir Nadvornik)
	- 0000605:	Bitmask output should show set bits for which there is no lookup value
			(Andreas Huggel)
	- 0000576:	24x36 equivalent focal length
			(Andreas Huggel)
	- 0000557:	Debian Bug report logs - #438224libexiv2-0: Wrong values on exposure time
			(Mark Purcell)
	- 0000545:	rotation of sony a700 raw files (*.arw) not deduced correctly
			(Markus Spring)
	- 0000544:	Sony camera makernote tags should be read as Minolta does
			(Stefano -)
	- 0000543:	make exiv2 respect makernote offset that Microsoft WIC tools introduce when it edits photos
			(Andreas Huggel)
	- 0000515:	exiv2 0.14 installs msg catalog as exiv2.mo instead of exiv2-<so_major>.mo
			(Achim Bohnet)
	- 0000494:	Some EXIF data not retrieved from Canon RAW files
			(Paul Waldo)
	- 0000470:	Provide a means for apps to probe the library which tags can be written to for a given format
			(Andreas Huggel)

* Xmp: (18)
	- 0001284:	Possible exiv2 0.26-svn bug
			(Wil Cowb)
	- 0001281:	crash in Exiv2, XMP parser class and in Adobe XMP SDK
			(Wil Cowb)
	- 0001276:	fails to read any XMP metadata when duplicates present
			(Aerilius .)
	- 0001229:	exiv2 -pX for image with multiple APP1/xap segments prints every APP1/xap segment.
	- 0001193:	XMP Specification November 2014 updates
			(Alan Pater)
	- 0001190:	Support for CRS and CRSS XMP namespace and properties
			(Alan Pater)
	- 0001187:	Crash while reading in parallel threads
			(Taras Kushnir)
	- 0001148:	XMP Rights field padded with spaces
			(John Huggins)
	- 0001133:	" **(process:29414): WARNING: No namespace info available for xmp prefix 'lr'"
			(Vey Zimba / Alan Pater)
	- 0001116:	Issues with namespace 'video'
			(Andreas Huggel)
	- 0001093:	ExifEX XMP namespace and properties
			(Alan Pater)
	- 0001081:	Read XMP values from CR2 raw file when stored in XMLPacket
			(Eric Mesa / Alan Pater)
	- 0001064:	exiv2 -iX <file.jpg> deletes Makernote
			(Alan Pater)
	- 0000751:	adobe xmp namespace
			(Adrian F)
	- 0000742:	External XMPSDK and/or XMPSDK 2014.12
			(Nikolai Saoukh / Andreas Huggel)
	- 0000640:	method is missing in Exiv2 to get list of known XMP namespaces
			(mikolaj -)
	- 0000601:	Metadata conversion enhancements
			(Andreas Huggel / Alan Pater)
	- 0000599:	XMP packets split across multiple APP1 segments
			(Andreas Huggel)

Changes from version 0.24 to 0.25
---------------------------------

* Exiv2 library
	- 0000442:	exivsimple has array index errors when stripping quotes from trivial input strings
				(Thomas Beutlich)
	- 0000707:	Use SVN eol-style LF on all files
				(Andreas Huggel, Robin Mills)
	- 0000886:	Access violation on IptcData::operator[] when key is invalid
				(Robin Mills)
	- 0000901:	PNG images with tiff tags throw exceptions
	- 0000934:	Plasma kde crashes when specific jpeg is on the Desktop
				(Robin Mills)
